# Building on a rh 7.x box?, else comment out the following
%define	Build_7x 1
Summary:	computations and do experiments with infinite groups	
Name:   	magnus	
Version:	3.2.1
Release:	1	
Source:		%{name}_prerelease_v%{version}_src.tgz 
Patch1:  	%{name}-3.2.1-Configure.patch
Patch2:		%{name}-3.2.1-TietzeTrek.patch
Patch3:		%{name}-3.2.1-homology.patch
Patch4:		%{name}-3.2.1-rkbp.patch
Patch5:		%{name}-3.2.1-compile.patch
Patch6:		%{name}-3.2.1-orwp.patch
Group: 		Applications/Engineering
Copyright: 	GPL
Url:    	http://www.grouptheory.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%(id -u -n)-root
BuildRequires:	%{?Build_7x:compat-}egcs-c++

%description
Magnus has been designed to carry out computations and do experiments with infinite 
groups. 
These infinite groups come, in the main, equipped with finite presentations. 
As such, it has long been recognized that no overall algorithmic approach to most of 

the problems and questions that arise, is possible. In many specific instances, 
however, it is still possible to obtain either explicit answers to a given question 
or at least some evidence as to whether a given conjecture is true or false. 
Magnus has been designed with such objectives in mind. A detailed description of 
the underlying philosophy and the computations that Magnus can effect, is contained 
in the on-line manual.

%prep
rm -rf "$RPM_BUILD_ROOT"

%setup -q -n %{name}

%patch1 -p1 -b .Configure
%patch2 -p1 -b .TietzeTrek
%patch3 -p1 -b .homology
%patch4 -p1 -b .rkbp
%patch5 -p1 -b .compile
%patch6 -p1 -b .orwp

echo "\n\n\n\n" | ./Configure 

%build
%{__make} \
	CC="egcs" CXX="egcs++" \
	DEBUG="$RPM_OPT_FLAGS" 
 	#DEBUG="$RPM_OPT_FLAGS -DDEBUG"
## Warning... the -DDDEBUG option about uses a LOT of memory to compile.
## my 256MB RAM / 512MB SWAP machine runs out.

%install
%{__make} realclean
install -d 	$RPM_BUILD_ROOT{%{_bindir},%{_libdir}/%{name}-%{version}}
mv *		$RPM_BUILD_ROOT%{_libdir}/%{name}-%{version}
ln  		%{_libdir}/%{name}-%{version}/front_end/%{name} \
		$RPM_BUILD_ROOT%{_bindir}/%{name}
perl -pi -e "s@set magnus_home .*@set magnus_home %{_libdir}/%{name}-%{version}@" \
        	$RPM_BUILD_ROOT%{_bindir}/%{name}

%clean
rm -rf "$RPM_BUILD_ROOT"

%files 
%defattr(-,root,root)
%{_bindir}/*
%{_libdir}/%{name}-%{version}


%changelog
* Mon Mar 19 2002 Rex Dieter <rdieter@unl.edu>
- minor specfile cleanup
- orwp patch (to use $(CXX) instead of c++)
- Try -O1 to see if it helps with random crashes.

* Thu Jan 03 2001 Rex Dieter <rdieter@unl.edu> 
- first try: 3.2.1
- use egcs, as magnus includes some files from libg++ that won't
  build with gcc 2.96.
